package com.renrenliao.im.viewmodel

import androidx.lifecycle.asLiveData
import com.renrenliao.im.base.BaseViewModel
import com.renrenliao.im.model.repository.LocalDataSource
import com.renrenliao.im.model.repository.RemoteDataSource

/**
 **@ClassName RrlFriendViewModel
 **@Description
 **@Author gan
 **@Date 2022/6/8 14:35
 **/
class RrlFriendViewModel(private val remoteDataSource: RemoteDataSource,private val localDataSource: LocalDataSource):BaseViewModel() {

    val friendLiveData = localDataSource.getFriendsLiveData().asLiveData()


    fun test(){

    }
}